Subject: bug#72245: [PATCH] Fix integer overflow when reading XPM

From: Stefan Kangas <[email-masked]>
Date: Mon, 22 Jul 2024 21:12:44 -0700

Po Lu <[email-masked]> writes:

> Otherwise I can find no reason to substantially reinvent the wheel and
> complicate image.c with a pedantic 10-line function for reading
> numbers with overflow checking, implementations of which already
> abound in that file in one shape or another.

Thanks, but this diatribe doesn't really help.  If you think you can do
a better job, then fine by me.  Please show us the patch.